Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1402580 - trojita FTBFS on aarch64 and armv7hl
Summary: trojita FTBFS on aarch64 and armv7hl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: trojita
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2016-12-07 21:21 UTC by Raphael Groner
Modified: 2019-11-17 14:47 UTC (History)
4 users (show)

Fixed In Version: trojita-0.7.0.1-0.4.20191104git36b0587.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1402577
: 1450505 (view as bug list)
Environment:
Last Closed: 2019-11-17 13:36:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1401716 0 unspecified CLOSED trojita: FTBFS in Fedora Rawhide 2022-05-16 11:32:56 UTC
Red Hat Bugzilla 1402577 0 unspecified NEW trojita FTBFS on ppc64 and ppc64le 2022-05-16 11:32:56 UTC
Red Hat Bugzilla 1402582 0 unspecified CLOSED trojita FTBFS on armv7hl because ragel core dumps 2022-05-16 11:32:56 UTC
Red Hat Bugzilla 1450505 0 unspecified POST trojita FTBFS on s390x 2022-05-16 11:32:56 UTC

Internal Links: 1401716 1402577 1402582 1450505

Description Raphael Groner 2016-12-07 21:21:33 UTC
Description of problem:
trojita FTBFS on aarch64
 
/builddir/build/BUILD/trojita-0.7/src/Imap/Parser/Rfc5322HeaderParser.cpp:2238:3: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]

Version-Release number of selected component (if applicable):
0.7-5

How reproducible:
yes

Steps to Reproduce:
1. koji build --scratch rawhide trojita-0.7-5.srpm
2.
3.

Actual results:
build.log has many times of the above mentioned error message.

Expected results:
builds successfully

Additional info:
Temporarily solved by adding ExcludeArch.

http://koji.fedoraproject.org/koji/taskinfo?taskID=16790335

Comment 1 Fedora End Of Life 2017-02-28 10:44:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Raphael Groner 2018-01-09 21:36:58 UTC
Still FTBFS in rawhide.

Comment 3 Raphael Groner 2018-02-03 18:11:18 UTC
Obviously an issue with ragel:
http://www.colm.net/pipermail/ragel/2013-November/001633.html

Propably also needed to fix not signed char:
https://gerrit.vesnicky.cesnet.cz/r/#/c/986/

Comment 4 Raphael Groner 2018-07-11 17:51:59 UTC
> /builddir/build/BUILD/trojita-0.7/src/Imap/Parser/Rfc5322HeaderParser.cpp:2238:3:
>  error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]

We see the same issue with armv7hl, after ragel is fixed.

Comment 5 Kevin Kofler 2019-11-17 14:47:28 UTC
The FTBFS is "fixed" by using pregenerated Ragel output instead of running Ragel:
https://src.fedoraproject.org/rpms/trojita/c/2d4720eade078709e37e3c9d6da2cf07a693023d?branch=master

I think they patched the pregenerated Ragel output to work around this Ragel bug.

Ragel still needs to be fixed, but we need to file a bug against Ragel for that.


Note You need to log in before you can comment on or make changes to this bug.